using System.Reflection;
using System.Runtime.InteropServices;
using System.EnterpriseServices;

[assembly:AssemblyKeyFile("BankCS.snk")]
[assembly:ApplicationName("DotNetBank")]

namespace Wrox
{
  [Transaction(TransactionOption.Required)]
  public class BankVB : ServicedComponent
  {
    public void Transfer(string FromAC, string ToAC, decimal Amt)
    {
    	string f = "Transferring " + Amt.ToString() + " from " + FromAC + " to " + ToAC;
    	
    	ContextUtil.SetComplete();
    }
  }
}
